[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-changelog] [xen-unstable] [TOOLS] A couple of check-script cleanups.



# HG changeset patch
# User kfraser@xxxxxxxxxxxxxxxxxxxxx
# Node ID 664e762a10e8f6a79cf5e13db818a6418909fa97
# Parent  6a28bfc1a940aa02dce3fa53aea11c0e06f67a91
[TOOLS] A couple of check-script cleanups.
Signed-off-by: Keir Fraser <keir@xxxxxxxxxxxxx>
---
 tools/check/check_python     |    5 ++++-
 tools/check/check_python_xml |   15 +++++++++------
 2 files changed, 13 insertions(+), 7 deletions(-)

diff -r 6a28bfc1a940 -r 664e762a10e8 tools/check/check_python
--- a/tools/check/check_python  Thu Dec 14 15:06:22 2006 +0000
+++ b/tools/check/check_python  Thu Dec 14 15:12:38 2006 +0000
@@ -3,7 +3,10 @@
 
 RC=0
 
-python -V 2>&1 | cut -d ' ' -f 2 | grep -q '^2.[2345]' || RC=1
+python -c '
+import sys
+sys.exit(sys.version_info[0] < 2 or sys.version_info[1] < 2)
+' || RC=1
 
 if test ${RC} -ne 0; then
        echo
diff -r 6a28bfc1a940 -r 664e762a10e8 tools/check/check_python_xml
--- a/tools/check/check_python_xml      Thu Dec 14 15:06:22 2006 +0000
+++ b/tools/check/check_python_xml      Thu Dec 14 15:12:38 2006 +0000
@@ -1,11 +1,7 @@
 #!/bin/bash
 # CHECK-INSTALL
 
-function error {
-    echo
-    echo "  *** Check for python-xml package FAILED"
-    exit 1
-}
+RC=0
 
 python -c '
 import os.path, sys
@@ -13,4 +9,11 @@ for p in sys.path:
        if os.path.exists(p + "/xml/dom/minidom.py"):
                sys.exit(0)
 sys.exit(1)
-' || error
+' || RC=1
+
+if test ${RC} -ne 0; then
+    echo
+    echo "  *** Check for python-xml package FAILED"
+fi
+
+exit ${RC}

_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.